/*
   HARK Library
   Copyright (C) 2021 Honda Research Institute Japan Inc.
 */

#include "hark-lib/node/DisplayLocalization.h"

namespace hark
{
namespace node
{
    DisplayLocalization::DisplayLocalization():
        NodeDef("DisplayLocalization")
    {
        *this
            << Terminal::in("INPUT")
            >> Terminal::out("OUTPUT");
    }

    void
    DisplayLocalization::reset()
    {
    }

    bool
    DisplayLocalization::operator () (size_t count, InputDataBundle &input, OutputDataBundle &output)
    {
        output["OUTPUT"].push(input["INPUT"].last());
        return true;
    }
}
}

/* end of file */
